using System;
using System.Data;
using System.Windows.Forms;
using Microsoft.Reporting.WinForms;
using System.Net;

public class Demo : Form 
{
    private ReportViewer reportViewer1;

    public Demo()
    {
        InitializeComponent();
        this.Text = "Report Control Demo";
        this.ClientSize = new System.Drawing.Size(950, 600);

        reportViewer1.ProcessingMode = ProcessingMode.Remote;

        reportViewer1.ShowCredentialPrompts = false;
        reportViewer1.ServerReport.ReportServerCredentials.NetworkCredentials = new NetworkCredential("rs_222337", "eagle0704241", "https://rs2k501.discountasp.net");
        reportViewer1.ProcessingMode = Microsoft.Reporting.WinForms.ProcessingMode.Remote;
        reportViewer1.ServerReport.ReportServerUrl = new Uri("https://rs2k501.discountasp.net");
        reportViewer1.ServerReport.ReportPath = "/eaglecorpor/reports/EagleReports/Agent_CollectionVoucher";
        reportViewer1.PromptAreaCollapsed = false;

        reportViewer1.Dock = DockStyle.Fill;

        reportViewer1.RefreshReport();

    }

    private void InitializeComponent()
    {
        this.reportViewer1 = new Microsoft.Reporting.WinForms.ReportViewer();
        this.SuspendLayout();
        // 
        // reportViewer1
        // 
        this.reportViewer1.Dock = System.Windows.Forms.DockStyle.Fill;
        this.reportViewer1.Location = new System.Drawing.Point(0, 0);
        this.reportViewer1.Name = "reportViewer1";
        this.reportViewer1.Size = new System.Drawing.Size(292, 273);
        this.reportViewer1.TabIndex = 0;
        // 
        // Demo
        // 
        this.ClientSize = new System.Drawing.Size(292, 273);
        this.Controls.Add(this.reportViewer1);
        this.Name = "Demo";
        this.Load += new System.EventHandler(this.Demo_Load);
        this.ResumeLayout(false);

    }

    private void Demo_Load(object sender, EventArgs e)
    {

        this.reportViewer1.RefreshReport();
    }
}

